a13nDocs
API 参考监控设备

列出 Device

GET/api/v1/devices

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

查询参数

limit?Limit
范围1 <= value <= 100
默认值50
cursor?string|null

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/devices"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "device_id": "string",      "enabled": true,      "id": "string",      "metrics_data_source_id": "string",      "name": "string",      "organization_id": "string",      "updated_at": "2019-08-24T14:15:22Z",      "version": 0,      "workspace_id": "string"    }  ],  "next_cursor": "string"}